# Override default HAF version
HAF_REGISTRY=registry.gitlab.syncad.com/hive/haf/instance
HAF_VERSION=05b3e1d2

# Override the default HAF command
HAF_COMMAND=--shared-file-size=1G --plugin database_api --replay --stop-at-block=5000000

# Override default backend version
# BACKEND_REGISTRY=custom.registry.example.com/reptracker/psql-client
# BACKEND_VERSION=latest

# Override default PostgREST version
# POSTGREST_REGISTRY=bitnami/postgrest
# POSTGREST_VERSION=11.1.0

# Override default Swagger version (for *swagger* profile)
# SWAGGER_REGISTRY=swaggerapi/swagger-ui
# SWAGGER_VERSION=v4.15.5

# Override default PgHero version (for *db-tools* profile)
# PGHERO_REGISTRY=ankane/pghero
# PGHERO_VERSION=v2.7.2

# Override default PgAdmin version (for *db-tools* profile)
# PGADMIN_REGISTRY=dpage/pgadmin4
# PGADMIN_VERSION=6

# Set bind mount directories (for docker-compose.bind-mounts.yml override)
# HAF_DATA_DIRECTORY=/srv/haf/data
# HAF_SHM_DIRECTORY=/srv/haf/shm

# Set UID for the bind mounts
# 0 if named volumes are used
# Not that setting this to 0 does not mean hived daemon runs as root,
# but that it uses the default UID defined in the image
HIVED_UID=0

# Set PgHero username and password (for *db-tools* profile)
PGHERO_USERNAME=link
PGHERO_PASSWORD=hyrule

# Set PgAdmin email and password (for *db-tools* profile)
PGADMIN_DEFAULT_EMAIL=admin@reptracker.internal
PGADMIN_DEFAULT_PASSWORD=admin